JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const objectView of client.objects.list()) {
console.log(objectView.id);
}import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
page = client.objects.list()
page = page.objects[0]
print(page.id)curl --request GET \
--url https://api.runloop.ai/v1/objects \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runloop.ai/v1/objects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.runloop.ai/v1/objects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.runloop.ai/v1/objects")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.runloop.ai/v1/objects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objects": [
{
"id": "<string>",
"name": "<string>",
"state": "UPLOADING",
"content_type": "unspecified",
"create_time_ms": 123,
"size_bytes": 123,
"delete_after_time_ms": 123,
"metadata": {},
"upload_url": "<string>",
"upload_headers": {}
}
],
"has_more": true,
"total_count": 123
}objects
List Objects.
List all Objects for the authenticated account with pagination support.
GET
/
v1
/
objects
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const objectView of client.objects.list()) {
console.log(objectView.id);
}import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
page = client.objects.list()
page = page.objects[0]
print(page.id)curl --request GET \
--url https://api.runloop.ai/v1/objects \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runloop.ai/v1/objects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.runloop.ai/v1/objects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.runloop.ai/v1/objects")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.runloop.ai/v1/objects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objects": [
{
"id": "<string>",
"name": "<string>",
"state": "UPLOADING",
"content_type": "unspecified",
"create_time_ms": 123,
"size_bytes": 123,
"delete_after_time_ms": 123,
"metadata": {},
"upload_url": "<string>",
"upload_headers": {}
}
],
"has_more": true,
"total_count": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The limit of items to return. Default is 20. Max is 5000.
Load the next page of data starting after the item with the given ID.
Filter storage objects by name (partial match supported).
Filter storage objects by content type.
Available options:
unspecified, text, binary, gzip, tar, tgz Filter storage objects by state.
Available options:
UPLOADING, READ_ONLY, DELETED, ERROR Search by object ID or name.
If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.
Response
Successfully retrieved list of Objects.
Was this page helpful?
